Authorization
Descope Project ID:Access Key Project ID:Access Key as bearer token.
In: header
Request Body
application/json
Create a SCIM group, using a valid access key.
This endpoint allows administrators to create new SCIM groups within their environement. When creating the group, you can configure the groupId, displayName, and it's members.
The response includes the new group's group object which includes details about the groups including the members.
It is important to note the bearer token for SCIM API endpoints. The format is ProjectId:AccessKey the access key must be associated with the applicable tenant and associated with the tenant admin role.
Next Steps
Once you have created the group, you can later add or remove users from the SCIM groups via Update SCIM Group.
See also
- See SCIM Management for further details on managing SCIM provisioning.
curl -X POST "https://api.descope.com/scim/v2/Groups" \ -H "Content-Type: application/json" \ -d '{}'{ "displayName": "string", "schemas": [ "string" ], "id": "string", "members": [ { "value": "string", "display": "string" } ], "meta": { "created": {}, "location": "string", "lastModified": {}, "resourceType": "string" }, "externalId": "string", "detail": "string", "status": 0}export interface Response {displayName?: stringschemas?: string[]id?: stringmembers?: {value?: stringdisplay?: string}[]meta?: SCIMGroupResourceMetaexternalId?: stringdetail?: stringstatus?: number}export interface SCIMGroupResourceMeta {created?: {}location?: stringlastModified?: {}resourceType?: string}Search SCIM Groups GET
### Search SCIM groups, using a valid access key. This endpoint allows administrators to search SCIM groups. These groups have been created and associated to the Application and Descope tenant. The response includes an array of group objects within the Resources object. These group objects include details about the groups including the members. It is important to note the bearer token for SCIM API endpoints. The format is `ProjectId:AccessKey` the access key must be associated with the applicable tenant and has the tenant admin role. ### Next Steps Once you have this data, you can [Update an Existing SCIM Group](/api/management/tenants/scim/update-scim-group) or [Delete an Existing SCIM Group](/api/management/tenants/scim/delete-scim-group). You can add or remove users from the SCIM groups via [Update SCIM Group](/api/management/tenants/scim/update-scim-group). ### See also - See [SCIM Management](/scim) for further details on managing SCIM provisioning.
Load SCIM Group GET
### Load an existing SCIM group, using a valid access key. This endpoint allows administrators to load an existing SCIM group using the SCIM groupId, which is a required field, and optionally the displayName. The response includes the group's object which includes details about the groups including the members. It is important to note the bearer token for SCIM API endpoints. The format is `ProjectId:AccessKey` the access key must be associated with the applicable tenant and associated with the tenant admin role. ### Next Steps Once you have this data, you can add or remove users from the SCIM groups via [Update SCIM Group](/api/management/tenants/scim/update-scim-group). ### See also - See [SCIM Management](/scim) for further details on managing SCIM provisioning.